CFData Reference

## Detailed Description

## Typedefs

typedef const struct __CFData * | CFDataRef

## Creating a CFData Object

CFDataRef | CFDataCreate (CFAllocatorRef allocator, const UInt8 *bytes, CFIndex length)
CFDataRef | CFDataCreateCopy (CFAllocatorRef allocator, CFDataRef theData)
CFDataRef | CFDataCreateWithBytesNoCopy (CFAllocatorRef allocator, const UInt8 *bytes, CFIndex length, CFAllocatorRef bytesDeallocator)

## Examining a CFData Object

const UInt8 * | CFDataGetBytePtr (CFDataRef theData)
void | CFDataGetBytes (CFDataRef theData, CFRange range, UInt8 *buffer)
CFIndex | CFDataGetLength (CFDataRef theData)

## Getting the CFData Type ID

CFTypeID | CFDataGetTypeID (void)